function pl=postopl(pos);

% converts a possibility distribution to the corresponding 
% consonant plausibility function

c=length(pos);
n=2^c;

pl=zeros(1,n);
for i=1:n-1,
  ii=find(bitget(i,1:c));
  pl(i+1)=max(pos(ii));
end;

